classification
Title: unnecessary hg required for build version 3.6 on Windows
Type: compile error Stage: resolved
Components: Build, Windows Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: josephsmeng, paul.moore, python-dev, steve.dower, tim.golden, zach.ware
Priority: normal Keywords:

Created on 2016-12-27 09:53 by josephsmeng, last changed 2017-03-31 16:36 by dstufft. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 552 closed dstufft, 2017-03-31 16:36
Messages (4)
msg284078 - (view) Author: Joseph Shen (josephsmeng) * Date: 2016-12-27 09:53
the released 3.6.0 PCbuild/build.bat required hg for building. but this requirement is not necessary for build python from source. maybe it will be better for us to remove this requirement as the old versions.
msg284130 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2016-12-27 19:33
You're right. I moved that code from buildrelease.bat, which definitely requires hg.

PC/build.bat should not fail if hg can't be found. You'll just end up with an empty sys._mercurial/sys.version after building.
msg284204 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-12-28 22:39
New changeset bc71c144e6f0 by Steve Dower in branch '3.5':
Issue #29080: Removes hard dependency on hg.exe from PC/build.bat
https://hg.python.org/cpython/rev/bc71c144e6f0

New changeset f98d8c9f3cde by Steve Dower in branch '3.6':
Issue #29080: Removes hard dependency on hg.exe from PC/build.bat
https://hg.python.org/cpython/rev/f98d8c9f3cde

New changeset 57c2fc60c989 by Steve Dower in branch 'default':
Issue #29080: Removes hard dependency on hg.exe from PC/build.bat
https://hg.python.org/cpython/rev/57c2fc60c989
msg284212 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-12-28 23:43
New changeset 84beb5cba826 by Steve Dower in branch '3.5':
Issue #29080: Fixes Misc/NEWS entry
https://hg.python.org/cpython/rev/84beb5cba826

New changeset 048d1942b325 by Steve Dower in branch '3.6':
Issue #29080: Fixes Misc/NEWS entry
https://hg.python.org/cpython/rev/048d1942b325

New changeset 38e44a23ea66 by Steve Dower in branch 'default':
Issue #29080: Fixes Misc/NEWS entry
https://hg.python.org/cpython/rev/38e44a23ea66
History
Date User Action Args
2017-03-31 16:36:27dstufftsetpull_requests: + pull_request1012
2016-12-28 23:43:56python-devsetmessages: + msg284212
2016-12-28 22:39:33steve.dowersetstatus: open -> closed
resolution: fixed
stage: needs patch -> resolved
2016-12-28 22:39:23python-devsetnosy: + python-dev
messages: + msg284204
2016-12-27 19:34:09steve.dowersetstage: needs patch
type: behavior -> compile error
versions: + Python 3.7
2016-12-27 19:33:51steve.dowersetassignee: steve.dower
messages: + msg284130
2016-12-27 15:21:53ned.deilysetnosy: + paul.moore, tim.golden, zach.ware, steve.dower
components: + Windows
2016-12-27 09:53:02josephsmengcreate